//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_LCDNVU.h
//   Version: 1.2, Updated on 2007/04/18 at 15:18:39
//  Application: PSoC Express 2.0
//
//  DESCRIPTION:  Header file for the LCDNVU Driver
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2004-2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#ifndef CMX_LCDNVU_include
#define CMX_LCDNVU_include

#include <M8C.h>
////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
	BYTE bNumberRows;          //number of rows
	const char* pDriver_Name;  // driver name
	const char* pUnits;        //driver units
	BYTE bScaleNotation;       //scale of notation
}CMX_LCDNVU_ParameterBlock;

// Function Prototypes
void CMX_LCDNVU_SetValue(const CMX_LCDNVU_ParameterBlock * thisBLK, int iValue);
void CMX_LCDNVU_Instantiate(const CMX_LCDNVU_ParameterBlock * thisBLK);


#endif
