//----------------------------------------------------------------------------
// DriverDecl.c
//----------------------------------------------------------------------------

#include "DriverDecl.h"
#include "CMXSystemExtern.h"

const CMX_DIO_ParameterBlock pse_D9 = { ID_pse_D9, 1, 1, 1, 0, ID_DIO_00};
const CMX_DIO_ParameterBlock pse_D10 = { ID_pse_D10, 1, 1, 1, 0, ID_DIO_02};
const CMX_DIO_ParameterBlock pse_D11 = { ID_pse_D11, 1, 1, 1, 0, ID_DIO_03};
const CMX_DIO_ParameterBlock pse_D12 = { ID_pse_D12, 1, 1, 1, 0, ID_DIO_04};
const CMX_DIO_ParameterBlock pse_D13 = { ID_pse_D13, 1, 1, 1, 0, ID_DIO_05};
const CMX_DIO_ParameterBlock pse_D14 = { ID_pse_D14, 1, 1, 1, 0, ID_DIO_06};
const CMX_DIO_ParameterBlock pse_D1 = { ID_pse_D1, 1, 1, 1, 0, ID_DIO_20};
const CMX_DIO_ParameterBlock pse_D2 = { ID_pse_D2, 1, 1, 1, 0, ID_DIO_21};
const CMX_DIO_ParameterBlock pse_D3 = { ID_pse_D3, 1, 1, 1, 0, ID_DIO_22};
const CMX_DIO_ParameterBlock pse_D4 = { ID_pse_D4, 1, 1, 1, 0, ID_DIO_23};
const CMX_DIO_ParameterBlock pse_D5 = { ID_pse_D5, 1, 1, 1, 0, ID_DIO_24};
const CMX_DIO_ParameterBlock pse_D6 = { ID_pse_D6, 1, 1, 1, 0, ID_DIO_25};
const CMX_DIO_ParameterBlock pse_D7 = { ID_pse_D7, 1, 1, 1, 0, ID_DIO_26};
const CMX_DIO_ParameterBlock pse_D8 = { ID_pse_D8, 1, 1, 1, 0, ID_DIO_27};
const CMX_LCDNVU_ParameterBlock pse_LCD_VAL = {0,"Nacisk", "N",1};
const CMX_Attenuator_ParameterBlock pse_ADC = {Attenuator_pse_ADC_ORDINAL, ID_MVOLTS_01,2048};

void * const DriverParams[] =
{
	(void *)0,	// ID = 0
	(void *)&pse_D9, // ID = 1
	(void *)&pse_D10, // ID = 2
	(void *)&pse_D11, // ID = 3
	(void *)&pse_D12, // ID = 4
	(void *)&pse_D13, // ID = 5
	(void *)&pse_D14, // ID = 6
	(void *)&pse_D1, // ID = 7
	(void *)&pse_D2, // ID = 8
	(void *)&pse_D3, // ID = 9
	(void *)&pse_D4, // ID = 10
	(void *)&pse_D5, // ID = 11
	(void *)&pse_D6, // ID = 12
	(void *)&pse_D7, // ID = 13
	(void *)&pse_D8, // ID = 14
	(void *)&pse_LCD_VAL, // ID = 15
	(void *)&pse_ADC, // ID = 16
		// ID_MAX = 17
};
