//----------------------------------------------------------------------------
// DriverDecl.inc
//----------------------------------------------------------------------------

include "m8c.inc"

CMX_PWM_CHAN_COUNT: equ 0 ; default case, will be redefined below if PWM channels are used

; Driver ID's
ID_pse_D9:	equ	1
ID_pse_D10:	equ	2
ID_pse_D11:	equ	3
ID_pse_D12:	equ	4
ID_pse_D13:	equ	5
ID_pse_D14:	equ	6
ID_pse_D1:	equ	7
ID_pse_D2:	equ	8
ID_pse_D3:	equ	9
ID_pse_D4:	equ	10
ID_pse_D5:	equ	11
ID_pse_D6:	equ	12
ID_pse_D7:	equ	13
ID_pse_D8:	equ	14
ID_pse_LCD_VAL:	equ	15
ID_pse_ADC:	equ	16

; Channel ID's
ID_ADC_00:		equ 0
ID_DIO_00:		equ 0
ID_DIO_02:		equ 1
ID_DIO_03:		equ 2
ID_DIO_04:		equ 3
ID_DIO_05:		equ 4
ID_DIO_06:		equ 5
ID_DIO_20:		equ 6
ID_DIO_21:		equ 7
ID_DIO_22:		equ 8
ID_DIO_23:		equ 9
ID_DIO_24:		equ 10
ID_DIO_25:		equ 11
ID_DIO_26:		equ 12
ID_DIO_27:		equ 13
ID_LCD_00:		equ 0
ID_LCD_SHARED_01:		equ 1
ID_MVOLTS_01:		equ 0
ID_SHADOWREGS_0:		equ 0
ID_SHADOWREGS_1:		equ 1
ID_SHADOWREGS_2:		equ 2

; Channel Type maximum count
CMX_ADC_CHAN_MAX:	equ	1
CMX_DIGITAL_IO_CHAN_MAX:	equ	14
CMX_LCD_CHAN_MAX:	equ	1
CMX_LCD_SHARED_CHAN_MAX:	equ	1
CMX_MVOLTS_IN_CHAN_MAX:	equ	1
CMX_SHADOW_MAX:	equ	3

; Channel Type instantiation count
CMX_ADC_CHAN_COUNT:	equ	0
CMX_DIGITAL_IO_CHAN_COUNT:	equ	14
CMX_LCD_CHAN_COUNT:	equ	1
CMX_LCD_SHARED_CHAN_COUNT:	equ	0
CMX_MVOLTS_IN_CHAN_COUNT:	equ	1
CMX_SHADOW_COUNT:	equ	0
