//
// SystemVars.h
//

#ifndef SYSTEM_VARS_H
#define SYSTEM_VARS_H

#include "CMXSystem.h"
#include "driverdecl.h"

void UpdateVariables( void);

typedef struct
{

	struct
	{
		int pse_LCD_VAL;
		int pse_ADC;
		BYTE pse_D1;
		BYTE pse_D10;
		BYTE pse_D11;
		BYTE pse_D12;
		BYTE pse_D13;
		BYTE pse_D14;
		BYTE pse_D2;
		BYTE pse_D3;
		BYTE pse_D4;
		BYTE pse_D5;
		BYTE pse_D6;
		BYTE pse_D7;
		BYTE pse_D8;
		BYTE pse_D9;

	} ReadOnlyVars;
} SYSTEM_VARS_STRUC;

#define SYSTEM_VARIABLE_COUNT 18 			// Total size of all variables. ( 2 x ints + 1 x BYTEs )
#define SYSTEM_RW_VARIABLE_COUNT 0	// Total size of the read/write variables. ( 2 x ints + 1 x BYTEs )

#endif
