	.module cmx_lcd_func.c
	.area text(rom, con, rel)
	.dbfile ./cmx_lcd_func.c
	.dbfunc e LCDStartSharedChan _LCDStartSharedChan fV
_LCDStartSharedChan::
	.dbline -1
	.dbline 17
; //*****************************************************************************
; //*****************************************************************************
; //  FILENAME:  cmx_lcd_chan.c
; //  @Version@
; //  
; //
; //  DESCRIPTION:  Source file for the LCD channel.
; //-----------------------------------------------------------------------------
; //      Copyright (c) Cypress MicroSystems 2004-2006. All Rights Reserved.
; //*****************************************************************************
; //*****************************************************************************
; #include "lcd.h"
; #include "stdlib.h"
; 
; //start function for all instance
; void LCDStartSharedChan(void)
; {
	.dbline 18
; 	LCD_Start(); //initializes LCD
	push X
	xcall _LCD_Start
	pop X
	.dbline -2
	.dbline 19
; }
L1:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e LCDPrDecInt _LCDPrDecInt fV
;  cNumberString -> X+2
;              i -> X+0
;         iValue -> X-5
_LCDPrDecInt::
	.dbline -1
	push X
	mov X,SP
	add SP,9
	.dbline 23
; 
; //provide print integer value in decimal code
; void LCDPrDecInt(int iValue)
; {	
	.dbline 30
; 	//storage array converted value
; 	//5 cells for max or min integer> 1 cell for sign and last for null-terminated character 
; 	char cNumberString[7];
;    	int i;
; 	
; 	//converts an integer value to a string
; 	itoa(cNumberString,iValue,10);
	mov A,0
	push A
	mov A,10
	push A
	mov A,[X-5]
	push A
	mov A,[X-4]
	push A
	mov [__r1],X
	add [__r1],2
	mov A,[__r0]
	push A
	mov A,[__r1]
	push A
	xcall _itoa
	add SP,-6
	.dbline 32
; 	//search the null-terminated character
; 	for(i=0;i<6;i++)
	mov [X+1],0
	mov [X+0],0
L3:
	.dbline 34
; 		//if  the null-terminated character is not located in last position
; 		if (cNumberString[i]==0x0) break;	
	mov [__r1],X
	add [__r1],2
	mov A,[X+1]
	add A,[__r1]
	mov [__r1],A
	mvi A,[__r1]
	jnz L7
	.dbline 34
	xjmp L10
L7:
L4:
	.dbline 32
	inc [X+1]
	adc [X+0],0
	.dbline 32
	mov A,[X+1]
	sub A,6
	mov A,[X+0]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L3
X0:
	xjmp L10
L9:
	.dbline 37
	.dbline 38
	mov [__r1],X
	add [__r1],2
	mov A,[X+1]
	add A,[__r1]
	mov [__r1],A
	mov A,32
	mvi [__r1],A
	.dbline 39
	inc [X+1]
	adc [X+0],0
	.dbline 40
L10:
	.dbline 36
; 	//put the character ' ' in cells, so as to clear last cells
; 	while (i<6)
	mov A,[X+1]
	sub A,6
	mov A,[X+0]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L9
X1:
	.dbline 42
; 	{
; 		cNumberString[i]=' ';
; 		i++;
; 	}
; 	//put the null-terminated character in last position
; 	cNumberString[6]=0x0;
	mov [X+8],0
	.dbline 44
; 	//display string
; 	LCD_PrString(cNumberString);
	mov [__r1],X
	add [__r1],2
	push X
	mov A,[__r0]
	push A
	mov A,[__r1]
	mov X,A
	pop A
	xcall _LCD_PrString
	pop X
	.dbline -2
	.dbline 45
; }
L2:
	add SP,-9
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l cNumberString 2 A[7:7]c
	.dbsym l i 0 I
	.dbsym l iValue -5 I
	.dbend
