//*****************************************************************************
//*****************************************************************************
//  FILENAME:  `@LIB_NAME`_LCDNVU.h
//   Version: 1.2, Updated on 2007/04/18 at 15:18:39
//  Application: PSoC Express 2.0
//
//  DESCRIPTION:  Header file for the LCDNVU Driver
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2004-2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#ifndef `@LIB_NAME`_LCDNVU_include
#define `@LIB_NAME`_LCDNVU_include

#include <M8C.h>
////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
	BYTE bNumberRows;          //number of rows
	const char* pDriver_Name;  // driver name
	const char* pUnits;        //driver units
	BYTE bScaleNotation;       //scale of notation
}`@LIB_NAME`_LCDNVU_ParameterBlock;

// Function Prototypes
void `@LIB_NAME`_LCDNVU_SetValue(const `@LIB_NAME`_LCDNVU_ParameterBlock * thisBLK, int iValue);
void `@LIB_NAME`_LCDNVU_Instantiate(const `@LIB_NAME`_LCDNVU_ParameterBlock * thisBLK);


#endif
