//----------------------------------------------------------------------------
// DriverDecl.h
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_DIO.h"
#include "CMX_LCDNVU.h"
#include "CMX_Attenuator.h"

// Driver ID's
#define ID_pse_D9 1
#define ID_pse_D10 2
#define ID_pse_D11 3
#define ID_pse_D12 4
#define ID_pse_D13 5
#define ID_pse_D14 6
#define ID_pse_D1 7
#define ID_pse_D2 8
#define ID_pse_D3 9
#define ID_pse_D4 10
#define ID_pse_D5 11
#define ID_pse_D6 12
#define ID_pse_D7 13
#define ID_pse_D8 14
#define ID_pse_LCD_VAL 15
#define ID_pse_ADC 16

// Channel ID's
#define ID_ADC_00 0
#define ID_DIO_00 0
#define ID_DIO_02 1
#define ID_DIO_03 2
#define ID_DIO_04 3
#define ID_DIO_05 4
#define ID_DIO_06 5
#define ID_DIO_20 6
#define ID_DIO_21 7
#define ID_DIO_22 8
#define ID_DIO_23 9
#define ID_DIO_24 10
#define ID_DIO_25 11
#define ID_DIO_26 12
#define ID_DIO_27 13
#define ID_LCD_00 0
#define ID_LCD_SHARED_01 1
#define ID_MVOLTS_01 0
#define ID_SHADOWREGS_0 0
#define ID_SHADOWREGS_1 1
#define ID_SHADOWREGS_2 2

// Channel Type maximum count
#define CMX_ADC_CHAN_MAX 1
#define CMX_DIGITAL_IO_CHAN_MAX 14
#define CMX_LCD_CHAN_MAX 1
#define CMX_LCD_SHARED_CHAN_MAX 1
#define CMX_MVOLTS_IN_CHAN_MAX 1
#define CMX_SHADOW_MAX 3

// Channel Type instantiation count
#define CMX_ADC_CHAN_COUNT 0
#define CMX_DIGITAL_IO_CHAN_COUNT 14
#define CMX_LCD_CHAN_COUNT 1
#define CMX_LCD_SHARED_CHAN_COUNT 0
#define CMX_MVOLTS_IN_CHAN_COUNT 1
#define CMX_SHADOW_COUNT 0

// Driver Parameter Block externs
extern CMX_DIO_ParameterBlock const pse_D9;
extern CMX_DIO_ParameterBlock const pse_D10;
extern CMX_DIO_ParameterBlock const pse_D11;
extern CMX_DIO_ParameterBlock const pse_D12;
extern CMX_DIO_ParameterBlock const pse_D13;
extern CMX_DIO_ParameterBlock const pse_D14;
extern CMX_DIO_ParameterBlock const pse_D1;
extern CMX_DIO_ParameterBlock const pse_D2;
extern CMX_DIO_ParameterBlock const pse_D3;
extern CMX_DIO_ParameterBlock const pse_D4;
extern CMX_DIO_ParameterBlock const pse_D5;
extern CMX_DIO_ParameterBlock const pse_D6;
extern CMX_DIO_ParameterBlock const pse_D7;
extern CMX_DIO_ParameterBlock const pse_D8;
extern CMX_LCDNVU_ParameterBlock const pse_LCD_VAL;
extern CMX_Attenuator_ParameterBlock const pse_ADC;
