//
// SystemVars.c
//
//   Updates system variables
#include "CMXSystem.h"
#include "CMXSystemFunction.h"
#include "SystemConst.h"
#include "FunctionParamDecl.h"
#include "SystemVars.h"

// system variable structure definition
SYSTEM_VARS_STRUC SystemVars;

void pse_D1_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D1;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=1)
	{
		outputIndex = pse_D1__ON;
	}
	else if (1)
	{
		outputIndex = pse_D1__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D1 = outputIndex;


}

void pse_D10_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D10;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=60)
	{
		outputIndex = pse_D10__ON;
	}
	else if (1)
	{
		outputIndex = pse_D10__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D10 = outputIndex;


}

void pse_D11_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D11;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=70)
	{
		outputIndex = pse_D11__ON;
	}
	else if (1)
	{
		outputIndex = pse_D11__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D11 = outputIndex;


}

void pse_D12_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D12;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=80)
	{
		outputIndex = pse_D12__ON;
	}
	else if (1)
	{
		outputIndex = pse_D12__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D12 = outputIndex;


}

void pse_D13_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D13;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=90)
	{
		outputIndex = pse_D13__ON;
	}
	else if (1)
	{
		outputIndex = pse_D13__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D13 = outputIndex;


}

void pse_D14_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D14;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=100)
	{
		outputIndex = pse_D14__ON;
	}
	else if (1)
	{
		outputIndex = pse_D14__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D14 = outputIndex;


}

void pse_D2_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D2;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=2)
	{
		outputIndex = pse_D2__ON;
	}
	else if (1)
	{
		outputIndex = pse_D2__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D2 = outputIndex;


}

void pse_D3_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D3;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=3)
	{
		outputIndex = pse_D3__ON;
	}
	else if (1)
	{
		outputIndex = pse_D3__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D3 = outputIndex;


}

void pse_D4_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D4;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=5)
	{
		outputIndex = pse_D4__ON;
	}
	else if (1)
	{
		outputIndex = pse_D4__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D4 = outputIndex;


}

void pse_D5_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D5;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=10)
	{
		outputIndex = pse_D5__ON;
	}
	else if (1)
	{
		outputIndex = pse_D5__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D5 = outputIndex;


}

void pse_D6_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D6;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>20)
	{
		outputIndex = pse_D6__ON;
	}
	else if (1)
	{
		outputIndex = pse_D6__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D6 = outputIndex;


}

void pse_D7_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D7;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=30)
	{
		outputIndex = pse_D7__ON;
	}
	else if (1)
	{
		outputIndex = pse_D7__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D7 = outputIndex;


}

void pse_D8_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D8;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=40)
	{
		outputIndex = pse_D8__ON;
	}
	else if (1)
	{
		outputIndex = pse_D8__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D8 = outputIndex;


}

void pse_D9_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D9;

	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=50)
	{
		outputIndex = pse_D9__ON;
	}
	else if (1)
	{
		outputIndex = pse_D9__OFF;
	}

	SystemVars.ReadOnlyVars.pse_D9 = outputIndex;


}

void pse_LCD_VAL_TransferFunction()
{
	int outputIndex = SystemVars.ReadOnlyVars.pse_LCD_VAL;

	if (SystemVars.ReadOnlyVars.pse_ADC<2500)
	{
		outputIndex=0;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=2500)
	{
		outputIndex=1;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=2632)
	{
		outputIndex=2;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=2703)
	{
		outputIndex=3;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=2778)
	{
		outputIndex=4;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=2857)
	{
		outputIndex=5;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=2941)
	{
		outputIndex=6;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3030)
	{
		outputIndex=7;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3125)
	{
		outputIndex=8;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3226)
	{
		outputIndex=9;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3333)
	{
		outputIndex=10;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3338)
	{
		outputIndex=11;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3340)
	{
		outputIndex=12;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3345)
	{
		outputIndex=13;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3351)
	{
		outputIndex=14;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3357)
	{
		outputIndex=15;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3364)
	{
		outputIndex=16;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3370)
	{
		outputIndex=17;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3375)
	{
		outputIndex=18;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3381)
	{
		outputIndex=19;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3386)
	{
		outputIndex=20;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3391)
	{
		outputIndex=21;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3397)
	{
		outputIndex=22;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3402)
	{
		outputIndex=23;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3407)
	{
		outputIndex=24;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3413)
	{
		outputIndex=25;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3418)
	{
		outputIndex=26;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3423)
	{
		outputIndex=27;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3429)
	{
		outputIndex=28;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3434)
	{
		outputIndex=29;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3439)
	{
		outputIndex=30;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3445)
	{
		outputIndex=31;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3450)
	{
		outputIndex=32;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3456)
	{
		outputIndex=33;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3461)
	{
		outputIndex=34;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3467)
	{
		outputIndex=35;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3472)
	{
		outputIndex=36;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3477)
	{
		outputIndex=37;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3483)
	{
		outputIndex=38;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3488)
	{
		outputIndex=39;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3493)
	{
		outputIndex=40;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3499)
	{
		outputIndex=41;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3504)
	{
		outputIndex=42;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3510)
	{
		outputIndex=43;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3515)
	{
		outputIndex=44;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3520)
	{
		outputIndex=45;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3526)
	{
		outputIndex=46;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3531)
	{
		outputIndex=47;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3537)
	{
		outputIndex=48;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3542)
	{
		outputIndex=49;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3546)
	{
		outputIndex=50;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3550)
	{
		outputIndex=51;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3553)
	{
		outputIndex=52;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3559)
	{
		outputIndex=53;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3565)
	{
		outputIndex=54;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3570)
	{
		outputIndex=55;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3576)
	{
		outputIndex=56;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3581)
	{
		outputIndex=57;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3586)
	{
		outputIndex=58;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3592)
	{
		outputIndex=59;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3598)
	{
		outputIndex=60;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3604)
	{
		outputIndex=61;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3610)
	{
		outputIndex=62;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3616)
	{
		outputIndex=63;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3622)
	{
		outputIndex=64;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3628)
	{
		outputIndex=65;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3634)
	{
		outputIndex=66;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3640)
	{
		outputIndex=67;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3646)
	{
		outputIndex=68;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3652)
	{
		outputIndex=69;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3658)
	{
		outputIndex=70;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3665)
	{
		outputIndex=71;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3671)
	{
		outputIndex=72;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3677)
	{
		outputIndex=73;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3683)
	{
		outputIndex=74;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3689)
	{
		outputIndex=75;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3696)
	{
		outputIndex=76;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3702)
	{
		outputIndex=77;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3708)
	{
		outputIndex=78;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3714)
	{
		outputIndex=79;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3720)
	{
		outputIndex=80;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3726)
	{
		outputIndex=81;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3732)
	{
		outputIndex=82;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3739)
	{
		outputIndex=83;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3745)
	{
		outputIndex=84;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3751)
	{
		outputIndex=85;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3757)
	{
		outputIndex=86;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3763)
	{
		outputIndex=87;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3770)
	{
		outputIndex=88;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3776)
	{
		outputIndex=89;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3782)
	{
		outputIndex=90;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3788)
	{
		outputIndex=91;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3795)
	{
		outputIndex=92;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3801)
	{
		outputIndex=93;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3807)
	{
		outputIndex=94;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3814)
	{
		outputIndex=95;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3820)
	{
		outputIndex=96;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3827)
	{
		outputIndex=97;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3833)
	{
		outputIndex=98;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3840)
	{
		outputIndex=99;
	}
	if (SystemVars.ReadOnlyVars.pse_ADC>=3846)
	{
		outputIndex=100;
	}

	SystemVars.ReadOnlyVars.pse_LCD_VAL = outputIndex;


}

