	.module systemvars.c
	.area text(rom, con, rel)
	.dbfile ./systemvars.c
	.dbfunc e pse_D1_TransferFunction _pse_D1_TransferFunction fV
;    outputIndex -> X+0
_pse_D1_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 15
; //
; // SystemVars.c
; //
; //   Updates system variables
; #include "CMXSystem.h"
; #include "CMXSystemFunction.h"
; #include "SystemConst.h"
; #include "FunctionParamDecl.h"
; #include "SystemVars.h"
; 
; // system variable structure definition
; SYSTEM_VARS_STRUC SystemVars;
; 
; void pse_D1_TransferFunction()
; {
	.dbline 16
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D1;
	mov A,[_SystemVars+4]
	mov [X+0],A
	.dbline 18
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=1)
	mov A,[_SystemVars+1]
	sub A,1
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L10
X0:
	.dbline 19
; 	{
	.dbline 20
; 		outputIndex = pse_D1__ON;
	mov [X+0],1
	.dbline 21
; 	}
	xjmp L11
L10:
	.dbline 22
; 	else if (1)
	.dbline 23
; 	{
	.dbline 24
; 		outputIndex = pse_D1__OFF;
	mov [X+0],0
	.dbline 25
; 	}
L12:
L11:
	.dbline 27
; 
; 	SystemVars.ReadOnlyVars.pse_D1 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+4],A
	.dbline -2
	.dbline 30
; 
; 
; }
L8:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D10_TransferFunction _pse_D10_TransferFunction fV
;    outputIndex -> X+0
_pse_D10_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 33
; 
; void pse_D10_TransferFunction()
; {
	.dbline 34
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D10;
	mov A,[_SystemVars+5]
	mov [X+0],A
	.dbline 36
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=60)
	mov A,[_SystemVars+1]
	sub A,60
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L17
X1:
	.dbline 37
; 	{
	.dbline 38
; 		outputIndex = pse_D10__ON;
	mov [X+0],1
	.dbline 39
; 	}
	xjmp L18
L17:
	.dbline 40
; 	else if (1)
	.dbline 41
; 	{
	.dbline 42
; 		outputIndex = pse_D10__OFF;
	mov [X+0],0
	.dbline 43
; 	}
L19:
L18:
	.dbline 45
; 
; 	SystemVars.ReadOnlyVars.pse_D10 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+5],A
	.dbline -2
	.dbline 48
; 
; 
; }
L15:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D11_TransferFunction _pse_D11_TransferFunction fV
;    outputIndex -> X+0
_pse_D11_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 51
; 
; void pse_D11_TransferFunction()
; {
	.dbline 52
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D11;
	mov A,[_SystemVars+6]
	mov [X+0],A
	.dbline 54
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=70)
	mov A,[_SystemVars+1]
	sub A,70
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L24
X2:
	.dbline 55
; 	{
	.dbline 56
; 		outputIndex = pse_D11__ON;
	mov [X+0],1
	.dbline 57
; 	}
	xjmp L25
L24:
	.dbline 58
; 	else if (1)
	.dbline 59
; 	{
	.dbline 60
; 		outputIndex = pse_D11__OFF;
	mov [X+0],0
	.dbline 61
; 	}
L26:
L25:
	.dbline 63
; 
; 	SystemVars.ReadOnlyVars.pse_D11 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+6],A
	.dbline -2
	.dbline 66
; 
; 
; }
L22:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D12_TransferFunction _pse_D12_TransferFunction fV
;    outputIndex -> X+0
_pse_D12_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 69
; 
; void pse_D12_TransferFunction()
; {
	.dbline 70
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D12;
	mov A,[_SystemVars+7]
	mov [X+0],A
	.dbline 72
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=80)
	mov A,[_SystemVars+1]
	sub A,80
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L31
X3:
	.dbline 73
; 	{
	.dbline 74
; 		outputIndex = pse_D12__ON;
	mov [X+0],1
	.dbline 75
; 	}
	xjmp L32
L31:
	.dbline 76
; 	else if (1)
	.dbline 77
; 	{
	.dbline 78
; 		outputIndex = pse_D12__OFF;
	mov [X+0],0
	.dbline 79
; 	}
L33:
L32:
	.dbline 81
; 
; 	SystemVars.ReadOnlyVars.pse_D12 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+7],A
	.dbline -2
	.dbline 84
; 
; 
; }
L29:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D13_TransferFunction _pse_D13_TransferFunction fV
;    outputIndex -> X+0
_pse_D13_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 87
; 
; void pse_D13_TransferFunction()
; {
	.dbline 88
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D13;
	mov A,[_SystemVars+8]
	mov [X+0],A
	.dbline 90
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=90)
	mov A,[_SystemVars+1]
	sub A,90
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L38
X4:
	.dbline 91
; 	{
	.dbline 92
; 		outputIndex = pse_D13__ON;
	mov [X+0],1
	.dbline 93
; 	}
	xjmp L39
L38:
	.dbline 94
; 	else if (1)
	.dbline 95
; 	{
	.dbline 96
; 		outputIndex = pse_D13__OFF;
	mov [X+0],0
	.dbline 97
; 	}
L40:
L39:
	.dbline 99
; 
; 	SystemVars.ReadOnlyVars.pse_D13 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+8],A
	.dbline -2
	.dbline 102
; 
; 
; }
L36:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D14_TransferFunction _pse_D14_TransferFunction fV
;    outputIndex -> X+0
_pse_D14_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 105
; 
; void pse_D14_TransferFunction()
; {
	.dbline 106
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D14;
	mov A,[_SystemVars+9]
	mov [X+0],A
	.dbline 108
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=100)
	mov A,[_SystemVars+1]
	sub A,100
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L45
X5:
	.dbline 109
; 	{
	.dbline 110
; 		outputIndex = pse_D14__ON;
	mov [X+0],1
	.dbline 111
; 	}
	xjmp L46
L45:
	.dbline 112
; 	else if (1)
	.dbline 113
; 	{
	.dbline 114
; 		outputIndex = pse_D14__OFF;
	mov [X+0],0
	.dbline 115
; 	}
L47:
L46:
	.dbline 117
; 
; 	SystemVars.ReadOnlyVars.pse_D14 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+9],A
	.dbline -2
	.dbline 120
; 
; 
; }
L43:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D2_TransferFunction _pse_D2_TransferFunction fV
;    outputIndex -> X+0
_pse_D2_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 123
; 
; void pse_D2_TransferFunction()
; {
	.dbline 124
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D2;
	mov A,[_SystemVars+10]
	mov [X+0],A
	.dbline 126
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=2)
	mov A,[_SystemVars+1]
	sub A,2
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L52
X6:
	.dbline 127
; 	{
	.dbline 128
; 		outputIndex = pse_D2__ON;
	mov [X+0],1
	.dbline 129
; 	}
	xjmp L53
L52:
	.dbline 130
; 	else if (1)
	.dbline 131
; 	{
	.dbline 132
; 		outputIndex = pse_D2__OFF;
	mov [X+0],0
	.dbline 133
; 	}
L54:
L53:
	.dbline 135
; 
; 	SystemVars.ReadOnlyVars.pse_D2 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+10],A
	.dbline -2
	.dbline 138
; 
; 
; }
L50:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D3_TransferFunction _pse_D3_TransferFunction fV
;    outputIndex -> X+0
_pse_D3_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 141
; 
; void pse_D3_TransferFunction()
; {
	.dbline 142
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D3;
	mov A,[_SystemVars+11]
	mov [X+0],A
	.dbline 144
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=3)
	mov A,[_SystemVars+1]
	sub A,3
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L59
X7:
	.dbline 145
; 	{
	.dbline 146
; 		outputIndex = pse_D3__ON;
	mov [X+0],1
	.dbline 147
; 	}
	xjmp L60
L59:
	.dbline 148
; 	else if (1)
	.dbline 149
; 	{
	.dbline 150
; 		outputIndex = pse_D3__OFF;
	mov [X+0],0
	.dbline 151
; 	}
L61:
L60:
	.dbline 153
; 
; 	SystemVars.ReadOnlyVars.pse_D3 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+11],A
	.dbline -2
	.dbline 156
; 
; 
; }
L57:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D4_TransferFunction _pse_D4_TransferFunction fV
;    outputIndex -> X+0
_pse_D4_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 159
; 
; void pse_D4_TransferFunction()
; {
	.dbline 160
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D4;
	mov A,[_SystemVars+12]
	mov [X+0],A
	.dbline 162
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=5)
	mov A,[_SystemVars+1]
	sub A,5
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L66
X8:
	.dbline 163
; 	{
	.dbline 164
; 		outputIndex = pse_D4__ON;
	mov [X+0],1
	.dbline 165
; 	}
	xjmp L67
L66:
	.dbline 166
; 	else if (1)
	.dbline 167
; 	{
	.dbline 168
; 		outputIndex = pse_D4__OFF;
	mov [X+0],0
	.dbline 169
; 	}
L68:
L67:
	.dbline 171
; 
; 	SystemVars.ReadOnlyVars.pse_D4 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+12],A
	.dbline -2
	.dbline 174
; 
; 
; }
L64:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D5_TransferFunction _pse_D5_TransferFunction fV
;    outputIndex -> X+0
_pse_D5_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 177
; 
; void pse_D5_TransferFunction()
; {
	.dbline 178
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D5;
	mov A,[_SystemVars+13]
	mov [X+0],A
	.dbline 180
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=10)
	mov A,[_SystemVars+1]
	sub A,10
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L73
X9:
	.dbline 181
; 	{
	.dbline 182
; 		outputIndex = pse_D5__ON;
	mov [X+0],1
	.dbline 183
; 	}
	xjmp L74
L73:
	.dbline 184
; 	else if (1)
	.dbline 185
; 	{
	.dbline 186
; 		outputIndex = pse_D5__OFF;
	mov [X+0],0
	.dbline 187
; 	}
L75:
L74:
	.dbline 189
; 
; 	SystemVars.ReadOnlyVars.pse_D5 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+13],A
	.dbline -2
	.dbline 192
; 
; 
; }
L71:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D6_TransferFunction _pse_D6_TransferFunction fV
;    outputIndex -> X+0
_pse_D6_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 195
; 
; void pse_D6_TransferFunction()
; {
	.dbline 196
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D6;
	mov A,[_SystemVars+14]
	mov [X+0],A
	.dbline 198
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>20)
	mov A,20
	sub A,[_SystemVars+1]
	mov A,[_SystemVars]
	xor A,-128
	mov [__rX],A
	mov A,(0 ^ 0x80)
	sbb A,[__rX]
	jnc L80
X10:
	.dbline 199
; 	{
	.dbline 200
; 		outputIndex = pse_D6__ON;
	mov [X+0],1
	.dbline 201
; 	}
	xjmp L81
L80:
	.dbline 202
; 	else if (1)
	.dbline 203
; 	{
	.dbline 204
; 		outputIndex = pse_D6__OFF;
	mov [X+0],0
	.dbline 205
; 	}
L82:
L81:
	.dbline 207
; 
; 	SystemVars.ReadOnlyVars.pse_D6 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+14],A
	.dbline -2
	.dbline 210
; 
; 
; }
L78:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D7_TransferFunction _pse_D7_TransferFunction fV
;    outputIndex -> X+0
_pse_D7_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 213
; 
; void pse_D7_TransferFunction()
; {
	.dbline 214
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D7;
	mov A,[_SystemVars+15]
	mov [X+0],A
	.dbline 216
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=30)
	mov A,[_SystemVars+1]
	sub A,30
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L87
X11:
	.dbline 217
; 	{
	.dbline 218
; 		outputIndex = pse_D7__ON;
	mov [X+0],1
	.dbline 219
; 	}
	xjmp L88
L87:
	.dbline 220
; 	else if (1)
	.dbline 221
; 	{
	.dbline 222
; 		outputIndex = pse_D7__OFF;
	mov [X+0],0
	.dbline 223
; 	}
L89:
L88:
	.dbline 225
; 
; 	SystemVars.ReadOnlyVars.pse_D7 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+15],A
	.dbline -2
	.dbline 228
; 
; 
; }
L85:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D8_TransferFunction _pse_D8_TransferFunction fV
;    outputIndex -> X+0
_pse_D8_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 231
; 
; void pse_D8_TransferFunction()
; {
	.dbline 232
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D8;
	mov A,[_SystemVars+16]
	mov [X+0],A
	.dbline 234
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=40)
	mov A,[_SystemVars+1]
	sub A,40
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L94
X12:
	.dbline 235
; 	{
	.dbline 236
; 		outputIndex = pse_D8__ON;
	mov [X+0],1
	.dbline 237
; 	}
	xjmp L95
L94:
	.dbline 238
; 	else if (1)
	.dbline 239
; 	{
	.dbline 240
; 		outputIndex = pse_D8__OFF;
	mov [X+0],0
	.dbline 241
; 	}
L96:
L95:
	.dbline 243
; 
; 	SystemVars.ReadOnlyVars.pse_D8 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+16],A
	.dbline -2
	.dbline 246
; 
; 
; }
L92:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_D9_TransferFunction _pse_D9_TransferFunction fV
;    outputIndex -> X+0
_pse_D9_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,1
	.dbline 249
; 
; void pse_D9_TransferFunction()
; {
	.dbline 250
; 	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_D9;
	mov A,[_SystemVars+17]
	mov [X+0],A
	.dbline 252
; 
; 	if (SystemVars.ReadOnlyVars.pse_LCD_VAL>=50)
	mov A,[_SystemVars+1]
	sub A,50
	mov A,[_SystemVars]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L101
X13:
	.dbline 253
; 	{
	.dbline 254
; 		outputIndex = pse_D9__ON;
	mov [X+0],1
	.dbline 255
; 	}
	xjmp L102
L101:
	.dbline 256
; 	else if (1)
	.dbline 257
; 	{
	.dbline 258
; 		outputIndex = pse_D9__OFF;
	mov [X+0],0
	.dbline 259
; 	}
L103:
L102:
	.dbline 261
; 
; 	SystemVars.ReadOnlyVars.pse_D9 = outputIndex;
	mov A,[X+0]
	mov [_SystemVars+17],A
	.dbline -2
	.dbline 264
; 
; 
; }
L99:
	add SP,-1
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 c
	.dbend
	.dbfunc e pse_LCD_VAL_TransferFunction _pse_LCD_VAL_TransferFunction fV
;    outputIndex -> X+0
_pse_LCD_VAL_TransferFunction::
	.dbline -1
	push X
	mov X,SP
	add SP,2
	.dbline 267
; 
; void pse_LCD_VAL_TransferFunction()
; {
	.dbline 268
; 	int outputIndex = SystemVars.ReadOnlyVars.pse_LCD_VAL;
	mov A,[_SystemVars+1]
	mov [X+1],A
	mov A,[_SystemVars]
	mov [X+0],A
	.dbline 270
; 
; 	if (SystemVars.ReadOnlyVars.pse_ADC<2500)
	mov A,[_SystemVars+2+1]
	sub A,-60
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(9 ^ 0x80)
	jnc L107
X14:
	.dbline 271
; 	{
	.dbline 272
; 		outputIndex=0;
	mov [X+1],0
	mov [X+0],0
	.dbline 273
; 	}
L107:
	.dbline 274
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=2500)
	mov A,[_SystemVars+2+1]
	sub A,-60
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(9 ^ 0x80)
	jc L110
X15:
	.dbline 275
; 	{
	.dbline 276
; 		outputIndex=1;
	mov [X+1],1
	mov [X+0],0
	.dbline 277
; 	}
L110:
	.dbline 278
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=2632)
	mov A,[_SystemVars+2+1]
	sub A,72
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(10 ^ 0x80)
	jc L113
X16:
	.dbline 279
; 	{
	.dbline 280
; 		outputIndex=2;
	mov [X+1],2
	mov [X+0],0
	.dbline 281
; 	}
L113:
	.dbline 282
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=2703)
	mov A,[_SystemVars+2+1]
	sub A,-113
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(10 ^ 0x80)
	jc L116
X17:
	.dbline 283
; 	{
	.dbline 284
; 		outputIndex=3;
	mov [X+1],3
	mov [X+0],0
	.dbline 285
; 	}
L116:
	.dbline 286
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=2778)
	mov A,[_SystemVars+2+1]
	sub A,-38
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(10 ^ 0x80)
	jc L119
X18:
	.dbline 287
; 	{
	.dbline 288
; 		outputIndex=4;
	mov [X+1],4
	mov [X+0],0
	.dbline 289
; 	}
L119:
	.dbline 290
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=2857)
	mov A,[_SystemVars+2+1]
	sub A,41
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(11 ^ 0x80)
	jc L122
X19:
	.dbline 291
; 	{
	.dbline 292
; 		outputIndex=5;
	mov [X+1],5
	mov [X+0],0
	.dbline 293
; 	}
L122:
	.dbline 294
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=2941)
	mov A,[_SystemVars+2+1]
	sub A,125
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(11 ^ 0x80)
	jc L125
X20:
	.dbline 295
; 	{
	.dbline 296
; 		outputIndex=6;
	mov [X+1],6
	mov [X+0],0
	.dbline 297
; 	}
L125:
	.dbline 298
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3030)
	mov A,[_SystemVars+2+1]
	sub A,-42
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(11 ^ 0x80)
	jc L128
X21:
	.dbline 299
; 	{
	.dbline 300
; 		outputIndex=7;
	mov [X+1],7
	mov [X+0],0
	.dbline 301
; 	}
L128:
	.dbline 302
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3125)
	mov A,[_SystemVars+2+1]
	sub A,53
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(12 ^ 0x80)
	jc L131
X22:
	.dbline 303
; 	{
	.dbline 304
; 		outputIndex=8;
	mov [X+1],8
	mov [X+0],0
	.dbline 305
; 	}
L131:
	.dbline 306
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3226)
	mov A,[_SystemVars+2+1]
	sub A,-102
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(12 ^ 0x80)
	jc L134
X23:
	.dbline 307
; 	{
	.dbline 308
; 		outputIndex=9;
	mov [X+1],9
	mov [X+0],0
	.dbline 309
; 	}
L134:
	.dbline 310
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3333)
	mov A,[_SystemVars+2+1]
	sub A,5
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L137
X24:
	.dbline 311
; 	{
	.dbline 312
; 		outputIndex=10;
	mov [X+1],10
	mov [X+0],0
	.dbline 313
; 	}
L137:
	.dbline 314
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3338)
	mov A,[_SystemVars+2+1]
	sub A,10
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L140
X25:
	.dbline 315
; 	{
	.dbline 316
; 		outputIndex=11;
	mov [X+1],11
	mov [X+0],0
	.dbline 317
; 	}
L140:
	.dbline 318
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3340)
	mov A,[_SystemVars+2+1]
	sub A,12
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L143
X26:
	.dbline 319
; 	{
	.dbline 320
; 		outputIndex=12;
	mov [X+1],12
	mov [X+0],0
	.dbline 321
; 	}
L143:
	.dbline 322
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3345)
	mov A,[_SystemVars+2+1]
	sub A,17
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L146
X27:
	.dbline 323
; 	{
	.dbline 324
; 		outputIndex=13;
	mov [X+1],13
	mov [X+0],0
	.dbline 325
; 	}
L146:
	.dbline 326
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3351)
	mov A,[_SystemVars+2+1]
	sub A,23
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L149
X28:
	.dbline 327
; 	{
	.dbline 328
; 		outputIndex=14;
	mov [X+1],14
	mov [X+0],0
	.dbline 329
; 	}
L149:
	.dbline 330
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3357)
	mov A,[_SystemVars+2+1]
	sub A,29
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L152
X29:
	.dbline 331
; 	{
	.dbline 332
; 		outputIndex=15;
	mov [X+1],15
	mov [X+0],0
	.dbline 333
; 	}
L152:
	.dbline 334
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3364)
	mov A,[_SystemVars+2+1]
	sub A,36
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L155
X30:
	.dbline 335
; 	{
	.dbline 336
; 		outputIndex=16;
	mov [X+1],16
	mov [X+0],0
	.dbline 337
; 	}
L155:
	.dbline 338
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3370)
	mov A,[_SystemVars+2+1]
	sub A,42
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L158
X31:
	.dbline 339
; 	{
	.dbline 340
; 		outputIndex=17;
	mov [X+1],17
	mov [X+0],0
	.dbline 341
; 	}
L158:
	.dbline 342
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3375)
	mov A,[_SystemVars+2+1]
	sub A,47
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L161
X32:
	.dbline 343
; 	{
	.dbline 344
; 		outputIndex=18;
	mov [X+1],18
	mov [X+0],0
	.dbline 345
; 	}
L161:
	.dbline 346
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3381)
	mov A,[_SystemVars+2+1]
	sub A,53
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L164
X33:
	.dbline 347
; 	{
	.dbline 348
; 		outputIndex=19;
	mov [X+1],19
	mov [X+0],0
	.dbline 349
; 	}
L164:
	.dbline 350
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3386)
	mov A,[_SystemVars+2+1]
	sub A,58
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L167
X34:
	.dbline 351
; 	{
	.dbline 352
; 		outputIndex=20;
	mov [X+1],20
	mov [X+0],0
	.dbline 353
; 	}
L167:
	.dbline 354
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3391)
	mov A,[_SystemVars+2+1]
	sub A,63
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L170
X35:
	.dbline 355
; 	{
	.dbline 356
; 		outputIndex=21;
	mov [X+1],21
	mov [X+0],0
	.dbline 357
; 	}
L170:
	.dbline 358
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3397)
	mov A,[_SystemVars+2+1]
	sub A,69
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L173
X36:
	.dbline 359
; 	{
	.dbline 360
; 		outputIndex=22;
	mov [X+1],22
	mov [X+0],0
	.dbline 361
; 	}
L173:
	.dbline 362
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3402)
	mov A,[_SystemVars+2+1]
	sub A,74
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L176
X37:
	.dbline 363
; 	{
	.dbline 364
; 		outputIndex=23;
	mov [X+1],23
	mov [X+0],0
	.dbline 365
; 	}
L176:
	.dbline 366
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3407)
	mov A,[_SystemVars+2+1]
	sub A,79
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L179
X38:
	.dbline 367
; 	{
	.dbline 368
; 		outputIndex=24;
	mov [X+1],24
	mov [X+0],0
	.dbline 369
; 	}
L179:
	.dbline 370
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3413)
	mov A,[_SystemVars+2+1]
	sub A,85
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L182
X39:
	.dbline 371
; 	{
	.dbline 372
; 		outputIndex=25;
	mov [X+1],25
	mov [X+0],0
	.dbline 373
; 	}
L182:
	.dbline 374
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3418)
	mov A,[_SystemVars+2+1]
	sub A,90
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L185
X40:
	.dbline 375
; 	{
	.dbline 376
; 		outputIndex=26;
	mov [X+1],26
	mov [X+0],0
	.dbline 377
; 	}
L185:
	.dbline 378
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3423)
	mov A,[_SystemVars+2+1]
	sub A,95
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L188
X41:
	.dbline 379
; 	{
	.dbline 380
; 		outputIndex=27;
	mov [X+1],27
	mov [X+0],0
	.dbline 381
; 	}
L188:
	.dbline 382
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3429)
	mov A,[_SystemVars+2+1]
	sub A,101
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L191
X42:
	.dbline 383
; 	{
	.dbline 384
; 		outputIndex=28;
	mov [X+1],28
	mov [X+0],0
	.dbline 385
; 	}
L191:
	.dbline 386
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3434)
	mov A,[_SystemVars+2+1]
	sub A,106
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L194
X43:
	.dbline 387
; 	{
	.dbline 388
; 		outputIndex=29;
	mov [X+1],29
	mov [X+0],0
	.dbline 389
; 	}
L194:
	.dbline 390
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3439)
	mov A,[_SystemVars+2+1]
	sub A,111
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L197
X44:
	.dbline 391
; 	{
	.dbline 392
; 		outputIndex=30;
	mov [X+1],30
	mov [X+0],0
	.dbline 393
; 	}
L197:
	.dbline 394
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3445)
	mov A,[_SystemVars+2+1]
	sub A,117
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L200
X45:
	.dbline 395
; 	{
	.dbline 396
; 		outputIndex=31;
	mov [X+1],31
	mov [X+0],0
	.dbline 397
; 	}
L200:
	.dbline 398
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3450)
	mov A,[_SystemVars+2+1]
	sub A,122
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L203
X46:
	.dbline 399
; 	{
	.dbline 400
; 		outputIndex=32;
	mov [X+1],32
	mov [X+0],0
	.dbline 401
; 	}
L203:
	.dbline 402
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3456)
	mov A,[_SystemVars+2+1]
	sub A,-128
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L206
X47:
	.dbline 403
; 	{
	.dbline 404
; 		outputIndex=33;
	mov [X+1],33
	mov [X+0],0
	.dbline 405
; 	}
L206:
	.dbline 406
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3461)
	mov A,[_SystemVars+2+1]
	sub A,-123
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L209
X48:
	.dbline 407
; 	{
	.dbline 408
; 		outputIndex=34;
	mov [X+1],34
	mov [X+0],0
	.dbline 409
; 	}
L209:
	.dbline 410
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3467)
	mov A,[_SystemVars+2+1]
	sub A,-117
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L212
X49:
	.dbline 411
; 	{
	.dbline 412
; 		outputIndex=35;
	mov [X+1],35
	mov [X+0],0
	.dbline 413
; 	}
L212:
	.dbline 414
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3472)
	mov A,[_SystemVars+2+1]
	sub A,-112
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L215
X50:
	.dbline 415
; 	{
	.dbline 416
; 		outputIndex=36;
	mov [X+1],36
	mov [X+0],0
	.dbline 417
; 	}
L215:
	.dbline 418
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3477)
	mov A,[_SystemVars+2+1]
	sub A,-107
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L218
X51:
	.dbline 419
; 	{
	.dbline 420
; 		outputIndex=37;
	mov [X+1],37
	mov [X+0],0
	.dbline 421
; 	}
L218:
	.dbline 422
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3483)
	mov A,[_SystemVars+2+1]
	sub A,-101
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L221
X52:
	.dbline 423
; 	{
	.dbline 424
; 		outputIndex=38;
	mov [X+1],38
	mov [X+0],0
	.dbline 425
; 	}
L221:
	.dbline 426
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3488)
	mov A,[_SystemVars+2+1]
	sub A,-96
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L224
X53:
	.dbline 427
; 	{
	.dbline 428
; 		outputIndex=39;
	mov [X+1],39
	mov [X+0],0
	.dbline 429
; 	}
L224:
	.dbline 430
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3493)
	mov A,[_SystemVars+2+1]
	sub A,-91
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L227
X54:
	.dbline 431
; 	{
	.dbline 432
; 		outputIndex=40;
	mov [X+1],40
	mov [X+0],0
	.dbline 433
; 	}
L227:
	.dbline 434
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3499)
	mov A,[_SystemVars+2+1]
	sub A,-85
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L230
X55:
	.dbline 435
; 	{
	.dbline 436
; 		outputIndex=41;
	mov [X+1],41
	mov [X+0],0
	.dbline 437
; 	}
L230:
	.dbline 438
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3504)
	mov A,[_SystemVars+2+1]
	sub A,-80
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L233
X56:
	.dbline 439
; 	{
	.dbline 440
; 		outputIndex=42;
	mov [X+1],42
	mov [X+0],0
	.dbline 441
; 	}
L233:
	.dbline 442
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3510)
	mov A,[_SystemVars+2+1]
	sub A,-74
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L236
X57:
	.dbline 443
; 	{
	.dbline 444
; 		outputIndex=43;
	mov [X+1],43
	mov [X+0],0
	.dbline 445
; 	}
L236:
	.dbline 446
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3515)
	mov A,[_SystemVars+2+1]
	sub A,-69
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L239
X58:
	.dbline 447
; 	{
	.dbline 448
; 		outputIndex=44;
	mov [X+1],44
	mov [X+0],0
	.dbline 449
; 	}
L239:
	.dbline 450
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3520)
	mov A,[_SystemVars+2+1]
	sub A,-64
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L242
X59:
	.dbline 451
; 	{
	.dbline 452
; 		outputIndex=45;
	mov [X+1],45
	mov [X+0],0
	.dbline 453
; 	}
L242:
	.dbline 454
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3526)
	mov A,[_SystemVars+2+1]
	sub A,-58
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L245
X60:
	.dbline 455
; 	{
	.dbline 456
; 		outputIndex=46;
	mov [X+1],46
	mov [X+0],0
	.dbline 457
; 	}
L245:
	.dbline 458
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3531)
	mov A,[_SystemVars+2+1]
	sub A,-53
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L248
X61:
	.dbline 459
; 	{
	.dbline 460
; 		outputIndex=47;
	mov [X+1],47
	mov [X+0],0
	.dbline 461
; 	}
L248:
	.dbline 462
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3537)
	mov A,[_SystemVars+2+1]
	sub A,-47
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L251
X62:
	.dbline 463
; 	{
	.dbline 464
; 		outputIndex=48;
	mov [X+1],48
	mov [X+0],0
	.dbline 465
; 	}
L251:
	.dbline 466
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3542)
	mov A,[_SystemVars+2+1]
	sub A,-42
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L254
X63:
	.dbline 467
; 	{
	.dbline 468
; 		outputIndex=49;
	mov [X+1],49
	mov [X+0],0
	.dbline 469
; 	}
L254:
	.dbline 470
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3546)
	mov A,[_SystemVars+2+1]
	sub A,-38
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L257
X64:
	.dbline 471
; 	{
	.dbline 472
; 		outputIndex=50;
	mov [X+1],50
	mov [X+0],0
	.dbline 473
; 	}
L257:
	.dbline 474
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3550)
	mov A,[_SystemVars+2+1]
	sub A,-34
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L260
X65:
	.dbline 475
; 	{
	.dbline 476
; 		outputIndex=51;
	mov [X+1],51
	mov [X+0],0
	.dbline 477
; 	}
L260:
	.dbline 478
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3553)
	mov A,[_SystemVars+2+1]
	sub A,-31
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L263
X66:
	.dbline 479
; 	{
	.dbline 480
; 		outputIndex=52;
	mov [X+1],52
	mov [X+0],0
	.dbline 481
; 	}
L263:
	.dbline 482
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3559)
	mov A,[_SystemVars+2+1]
	sub A,-25
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L266
X67:
	.dbline 483
; 	{
	.dbline 484
; 		outputIndex=53;
	mov [X+1],53
	mov [X+0],0
	.dbline 485
; 	}
L266:
	.dbline 486
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3565)
	mov A,[_SystemVars+2+1]
	sub A,-19
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L269
X68:
	.dbline 487
; 	{
	.dbline 488
; 		outputIndex=54;
	mov [X+1],54
	mov [X+0],0
	.dbline 489
; 	}
L269:
	.dbline 490
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3570)
	mov A,[_SystemVars+2+1]
	sub A,-14
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L272
X69:
	.dbline 491
; 	{
	.dbline 492
; 		outputIndex=55;
	mov [X+1],55
	mov [X+0],0
	.dbline 493
; 	}
L272:
	.dbline 494
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3576)
	mov A,[_SystemVars+2+1]
	sub A,-8
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L275
X70:
	.dbline 495
; 	{
	.dbline 496
; 		outputIndex=56;
	mov [X+1],56
	mov [X+0],0
	.dbline 497
; 	}
L275:
	.dbline 498
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3581)
	mov A,[_SystemVars+2+1]
	sub A,-3
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(13 ^ 0x80)
	jc L278
X71:
	.dbline 499
; 	{
	.dbline 500
; 		outputIndex=57;
	mov [X+1],57
	mov [X+0],0
	.dbline 501
; 	}
L278:
	.dbline 502
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3586)
	mov A,[_SystemVars+2+1]
	sub A,2
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L281
X72:
	.dbline 503
; 	{
	.dbline 504
; 		outputIndex=58;
	mov [X+1],58
	mov [X+0],0
	.dbline 505
; 	}
L281:
	.dbline 506
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3592)
	mov A,[_SystemVars+2+1]
	sub A,8
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L284
X73:
	.dbline 507
; 	{
	.dbline 508
; 		outputIndex=59;
	mov [X+1],59
	mov [X+0],0
	.dbline 509
; 	}
L284:
	.dbline 510
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3598)
	mov A,[_SystemVars+2+1]
	sub A,14
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L287
X74:
	.dbline 511
; 	{
	.dbline 512
; 		outputIndex=60;
	mov [X+1],60
	mov [X+0],0
	.dbline 513
; 	}
L287:
	.dbline 514
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3604)
	mov A,[_SystemVars+2+1]
	sub A,20
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L290
X75:
	.dbline 515
; 	{
	.dbline 516
; 		outputIndex=61;
	mov [X+1],61
	mov [X+0],0
	.dbline 517
; 	}
L290:
	.dbline 518
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3610)
	mov A,[_SystemVars+2+1]
	sub A,26
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L293
X76:
	.dbline 519
; 	{
	.dbline 520
; 		outputIndex=62;
	mov [X+1],62
	mov [X+0],0
	.dbline 521
; 	}
L293:
	.dbline 522
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3616)
	mov A,[_SystemVars+2+1]
	sub A,32
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L296
X77:
	.dbline 523
; 	{
	.dbline 524
; 		outputIndex=63;
	mov [X+1],63
	mov [X+0],0
	.dbline 525
; 	}
L296:
	.dbline 526
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3622)
	mov A,[_SystemVars+2+1]
	sub A,38
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L299
X78:
	.dbline 527
; 	{
	.dbline 528
; 		outputIndex=64;
	mov [X+1],64
	mov [X+0],0
	.dbline 529
; 	}
L299:
	.dbline 530
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3628)
	mov A,[_SystemVars+2+1]
	sub A,44
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L302
X79:
	.dbline 531
; 	{
	.dbline 532
; 		outputIndex=65;
	mov [X+1],65
	mov [X+0],0
	.dbline 533
; 	}
L302:
	.dbline 534
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3634)
	mov A,[_SystemVars+2+1]
	sub A,50
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L305
X80:
	.dbline 535
; 	{
	.dbline 536
; 		outputIndex=66;
	mov [X+1],66
	mov [X+0],0
	.dbline 537
; 	}
L305:
	.dbline 538
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3640)
	mov A,[_SystemVars+2+1]
	sub A,56
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L308
X81:
	.dbline 539
; 	{
	.dbline 540
; 		outputIndex=67;
	mov [X+1],67
	mov [X+0],0
	.dbline 541
; 	}
L308:
	.dbline 542
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3646)
	mov A,[_SystemVars+2+1]
	sub A,62
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L311
X82:
	.dbline 543
; 	{
	.dbline 544
; 		outputIndex=68;
	mov [X+1],68
	mov [X+0],0
	.dbline 545
; 	}
L311:
	.dbline 546
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3652)
	mov A,[_SystemVars+2+1]
	sub A,68
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L314
X83:
	.dbline 547
; 	{
	.dbline 548
; 		outputIndex=69;
	mov [X+1],69
	mov [X+0],0
	.dbline 549
; 	}
L314:
	.dbline 550
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3658)
	mov A,[_SystemVars+2+1]
	sub A,74
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L317
X84:
	.dbline 551
; 	{
	.dbline 552
; 		outputIndex=70;
	mov [X+1],70
	mov [X+0],0
	.dbline 553
; 	}
L317:
	.dbline 554
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3665)
	mov A,[_SystemVars+2+1]
	sub A,81
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L320
X85:
	.dbline 555
; 	{
	.dbline 556
; 		outputIndex=71;
	mov [X+1],71
	mov [X+0],0
	.dbline 557
; 	}
L320:
	.dbline 558
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3671)
	mov A,[_SystemVars+2+1]
	sub A,87
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L323
X86:
	.dbline 559
; 	{
	.dbline 560
; 		outputIndex=72;
	mov [X+1],72
	mov [X+0],0
	.dbline 561
; 	}
L323:
	.dbline 562
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3677)
	mov A,[_SystemVars+2+1]
	sub A,93
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L326
X87:
	.dbline 563
; 	{
	.dbline 564
; 		outputIndex=73;
	mov [X+1],73
	mov [X+0],0
	.dbline 565
; 	}
L326:
	.dbline 566
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3683)
	mov A,[_SystemVars+2+1]
	sub A,99
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L329
X88:
	.dbline 567
; 	{
	.dbline 568
; 		outputIndex=74;
	mov [X+1],74
	mov [X+0],0
	.dbline 569
; 	}
L329:
	.dbline 570
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3689)
	mov A,[_SystemVars+2+1]
	sub A,105
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L332
X89:
	.dbline 571
; 	{
	.dbline 572
; 		outputIndex=75;
	mov [X+1],75
	mov [X+0],0
	.dbline 573
; 	}
L332:
	.dbline 574
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3696)
	mov A,[_SystemVars+2+1]
	sub A,112
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L335
X90:
	.dbline 575
; 	{
	.dbline 576
; 		outputIndex=76;
	mov [X+1],76
	mov [X+0],0
	.dbline 577
; 	}
L335:
	.dbline 578
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3702)
	mov A,[_SystemVars+2+1]
	sub A,118
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L338
X91:
	.dbline 579
; 	{
	.dbline 580
; 		outputIndex=77;
	mov [X+1],77
	mov [X+0],0
	.dbline 581
; 	}
L338:
	.dbline 582
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3708)
	mov A,[_SystemVars+2+1]
	sub A,124
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L341
X92:
	.dbline 583
; 	{
	.dbline 584
; 		outputIndex=78;
	mov [X+1],78
	mov [X+0],0
	.dbline 585
; 	}
L341:
	.dbline 586
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3714)
	mov A,[_SystemVars+2+1]
	sub A,-126
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L344
X93:
	.dbline 587
; 	{
	.dbline 588
; 		outputIndex=79;
	mov [X+1],79
	mov [X+0],0
	.dbline 589
; 	}
L344:
	.dbline 590
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3720)
	mov A,[_SystemVars+2+1]
	sub A,-120
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L347
X94:
	.dbline 591
; 	{
	.dbline 592
; 		outputIndex=80;
	mov [X+1],80
	mov [X+0],0
	.dbline 593
; 	}
L347:
	.dbline 594
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3726)
	mov A,[_SystemVars+2+1]
	sub A,-114
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L350
X95:
	.dbline 595
; 	{
	.dbline 596
; 		outputIndex=81;
	mov [X+1],81
	mov [X+0],0
	.dbline 597
; 	}
L350:
	.dbline 598
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3732)
	mov A,[_SystemVars+2+1]
	sub A,-108
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L353
X96:
	.dbline 599
; 	{
	.dbline 600
; 		outputIndex=82;
	mov [X+1],82
	mov [X+0],0
	.dbline 601
; 	}
L353:
	.dbline 602
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3739)
	mov A,[_SystemVars+2+1]
	sub A,-101
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L356
X97:
	.dbline 603
; 	{
	.dbline 604
; 		outputIndex=83;
	mov [X+1],83
	mov [X+0],0
	.dbline 605
; 	}
L356:
	.dbline 606
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3745)
	mov A,[_SystemVars+2+1]
	sub A,-95
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L359
X98:
	.dbline 607
; 	{
	.dbline 608
; 		outputIndex=84;
	mov [X+1],84
	mov [X+0],0
	.dbline 609
; 	}
L359:
	.dbline 610
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3751)
	mov A,[_SystemVars+2+1]
	sub A,-89
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L362
X99:
	.dbline 611
; 	{
	.dbline 612
; 		outputIndex=85;
	mov [X+1],85
	mov [X+0],0
	.dbline 613
; 	}
L362:
	.dbline 614
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3757)
	mov A,[_SystemVars+2+1]
	sub A,-83
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L365
X100:
	.dbline 615
; 	{
	.dbline 616
; 		outputIndex=86;
	mov [X+1],86
	mov [X+0],0
	.dbline 617
; 	}
L365:
	.dbline 618
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3763)
	mov A,[_SystemVars+2+1]
	sub A,-77
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L368
X101:
	.dbline 619
; 	{
	.dbline 620
; 		outputIndex=87;
	mov [X+1],87
	mov [X+0],0
	.dbline 621
; 	}
L368:
	.dbline 622
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3770)
	mov A,[_SystemVars+2+1]
	sub A,-70
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L371
X102:
	.dbline 623
; 	{
	.dbline 624
; 		outputIndex=88;
	mov [X+1],88
	mov [X+0],0
	.dbline 625
; 	}
L371:
	.dbline 626
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3776)
	mov A,[_SystemVars+2+1]
	sub A,-64
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L374
X103:
	.dbline 627
; 	{
	.dbline 628
; 		outputIndex=89;
	mov [X+1],89
	mov [X+0],0
	.dbline 629
; 	}
L374:
	.dbline 630
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3782)
	mov A,[_SystemVars+2+1]
	sub A,-58
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L377
X104:
	.dbline 631
; 	{
	.dbline 632
; 		outputIndex=90;
	mov [X+1],90
	mov [X+0],0
	.dbline 633
; 	}
L377:
	.dbline 634
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3788)
	mov A,[_SystemVars+2+1]
	sub A,-52
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L380
X105:
	.dbline 635
; 	{
	.dbline 636
; 		outputIndex=91;
	mov [X+1],91
	mov [X+0],0
	.dbline 637
; 	}
L380:
	.dbline 638
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3795)
	mov A,[_SystemVars+2+1]
	sub A,-45
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L383
X106:
	.dbline 639
; 	{
	.dbline 640
; 		outputIndex=92;
	mov [X+1],92
	mov [X+0],0
	.dbline 641
; 	}
L383:
	.dbline 642
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3801)
	mov A,[_SystemVars+2+1]
	sub A,-39
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L386
X107:
	.dbline 643
; 	{
	.dbline 644
; 		outputIndex=93;
	mov [X+1],93
	mov [X+0],0
	.dbline 645
; 	}
L386:
	.dbline 646
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3807)
	mov A,[_SystemVars+2+1]
	sub A,-33
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L389
X108:
	.dbline 647
; 	{
	.dbline 648
; 		outputIndex=94;
	mov [X+1],94
	mov [X+0],0
	.dbline 649
; 	}
L389:
	.dbline 650
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3814)
	mov A,[_SystemVars+2+1]
	sub A,-26
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L392
X109:
	.dbline 651
; 	{
	.dbline 652
; 		outputIndex=95;
	mov [X+1],95
	mov [X+0],0
	.dbline 653
; 	}
L392:
	.dbline 654
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3820)
	mov A,[_SystemVars+2+1]
	sub A,-20
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L395
X110:
	.dbline 655
; 	{
	.dbline 656
; 		outputIndex=96;
	mov [X+1],96
	mov [X+0],0
	.dbline 657
; 	}
L395:
	.dbline 658
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3827)
	mov A,[_SystemVars+2+1]
	sub A,-13
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L398
X111:
	.dbline 659
; 	{
	.dbline 660
; 		outputIndex=97;
	mov [X+1],97
	mov [X+0],0
	.dbline 661
; 	}
L398:
	.dbline 662
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3833)
	mov A,[_SystemVars+2+1]
	sub A,-7
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(14 ^ 0x80)
	jc L401
X112:
	.dbline 663
; 	{
	.dbline 664
; 		outputIndex=98;
	mov [X+1],98
	mov [X+0],0
	.dbline 665
; 	}
L401:
	.dbline 666
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3840)
	mov A,[_SystemVars+2+1]
	sub A,0
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(15 ^ 0x80)
	jc L404
X113:
	.dbline 667
; 	{
	.dbline 668
; 		outputIndex=99;
	mov [X+1],99
	mov [X+0],0
	.dbline 669
; 	}
L404:
	.dbline 670
; 	if (SystemVars.ReadOnlyVars.pse_ADC>=3846)
	mov A,[_SystemVars+2+1]
	sub A,6
	mov A,[_SystemVars+2]
	xor A,-128
	sbb A,(15 ^ 0x80)
	jc L407
X114:
	.dbline 671
; 	{
	.dbline 672
; 		outputIndex=100;
	mov [X+1],100
	mov [X+0],0
	.dbline 673
; 	}
L407:
	.dbline 675
; 
; 	SystemVars.ReadOnlyVars.pse_LCD_VAL = outputIndex;
	mov A,[X+1]
	mov [_SystemVars+1],A
	mov A,[X+0]
	mov [_SystemVars],A
	.dbline -2
	.dbline 678
; 
; 
; }
L106:
	add SP,-2
	pop X
	.dbline 0 ; func end
	ret
	.dbsym l outputIndex 0 I
	.dbend
	.area bss(ram, con, rel)
	.dbfile ./systemvars.c
_SystemVars::
	.blkb 18
	.dbsym e SystemVars _SystemVars X
